%global _mintlibdir %{_prefix}/lib/linuxmint/

Name:           mintlocale
Version:        1.4.7
Release:    1%{?dist}
Summary:        Language selection tool

License:        GPLv2+
URL:            https://github.com/linuxmint/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         show_utf8_only.patch
Patch1:         %{url}/pull/56.patch#/add_apt_checking.patch
Patch2:         %{url}/commit/7041982b69fa9fea065098e7b33f306df1dcac91.patch#/fix_signal_name.patch
Patch3:         fix_gdk_import.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils

Requires:       accountsservice
Requires:       %{name}-set-default-locale = %{version}-%{release}
Requires:       xapps

%description
Language selection tool for Cinnamon.

%package set-default-locale
Summary:        Language selection tool

%description set-default-locale
Language selection tool for Cinnamon.


%prep
%autosetup -p1


%build
echo 'nothing to build'


%install
%{__cp} -pr .%{_prefix} %{buildroot}
%{__rm} %{buildroot}%{_bindir}/add-remove-locales \
  %{buildroot}%{_datadir}/applications/%{name}-im.desktop \
  %{buildroot}%{_mintlibdir}/mintlocale/add.py \
  %{buildroot}%{_mintlibdir}/mintlocale/install_remove.py
%{__chmod} -c 0755 %{buildroot}%{_mintlibdir}/mintlocale/mintlocale.py

echo 'LANG=$locale' > %{buildroot}%{_datadir}/linuxmint/mintlocale/templates/default_locale.template

%{_bindir}/desktop-file-install \
  --add-only-show-in=X-Cinnamon \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%doc debian/changelog
%license COPYING debian/copyright
%{_bindir}/%{name}
%{_mintlibdir}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/linuxmint
%{_datadir}/polkit-1/actions/com.linuxmint.mintlocale.policy

%files set-default-locale
%{_bindir}/set-default-locale


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.7-1
- initial build
